### Class

# GdkWayland WaylandSurface

#### Description [src]

    final class GdkWayland.WaylandSurface : Gdk.Surface {
      /* No available fields */
    }

The Wayland implementation of `GdkSurface`.

Beyond the `GdkSurface` API, the Wayland implementation offers access to the Wayland `wl_surface` object with gdk_wayland_surface_get_wl_surface().

#### Ancestors

- GdkSurface
- GObject

#### Instance methods

###### gdk_wayland_surface_get_wl_surface

Returns the Wayland `wl_surface` of a `GdkSurface`.